<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="utf-8" />
      <title>An online card | Greetings</title>
      <meta http-equiv="Accept-CH" content="DPR, Width, Viewport-Width">
      <meta name="robots" content="max-image-preview:large">
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      
      <link href="/favicon.ico" rel="shortcut icon" type="image/x-icon" />
      <link rel="/apple-touch-icon" href="apple-touch-icon.png">
      <meta name="description" />
      <!-- <meta name="browser" content="firefox" /> -->
      <meta name="twitter:card" content="summary" />
      <meta property="og:title" content="An online card | Greetings Card" />
      <meta property="og:site_name" content="Greetings Card" />
      <meta property="og:url" content="<%= PageLink %>" />
      <meta property="og:image" content="<%= Front %>" />
      <meta property="og:image:width" content="<%= Image_Width %>" />
      <meta property="og:image:height" content="<%= Image_Hight %>" />
      <meta property="og:type" content="other" />
      <meta name="robots" content="noindex">

      <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
      <link rel="stylesheet" href="/public/assets/bundles/theme.css" />
      <link rel="stylesheet" href="/public/assets/bundles/style.css" />
      <link href="https://fonts.googleapis.com/css?family=Raleway:400,600,700|Lato:400,700&display=swap" rel="stylesheet" />

      <% if(Is_RSVP) { %>
      <link rel="stylesheet" href="/public/assets/bundles/online-invitations.css">
      <% } %>

      <script>
         function doGoogleTagDisplay(code) { 
             window.gi = window.gi || {};
             var googleTagCallbacks = window.gi.googleTagCallbacks = window.gi.googleTagCallbacks || [];
             googleTagCallbacks.push(code);
         };
         function detectWidth() {
             return window.screen.width || window.innerWidth || window.document.documentElement.clientWidth || Math.min(window.innerWidth, window.document.documentElement.clientWidth) || window.innerWidth || window.document.documentElement.clientWidth || window.document.body.clientWidth
         }
         function isMobileScreenSize() {
             return detectWidth() <= 767
         }
         
      </script>
      <script type="text/javascript">
         var culture = 'en';
         var page = {
             area: '',
             controller: 'Card',
             action: 'Pickup'
         };
      </script>
      
      <link rel="stylesheet" href="/public/assets/bundles/3dcards-<%= Orientation %>.css" />

   </head>
   <body class="pickup _user-uninitialized">
      <div class="site   en">
         <header id="header" class="site-header _no-mg-b">
            <div class="wrap">
               <div class="header-left">
              
               </div>
               <div class="header-right">
               
               </div>
               <div class="mobile-search-form">
                 
               </div>
            </div>
            <!-- <hr class="grey-line desktop" /> -->
         </header>
         <script>
            window.gi = window.gi || {};
            window.gi.render = window.gi.render || {};
            window.gi.render.header = true;
            document.dispatchEvent(new CustomEvent("gi.render.header"));
         </script>

         <div id="magic" class="loading pickup">
            <div class="box">
               <img src="/public/assets/images/theme/now_loading_4.0.gif" />
               <span>Loading...</span>
            </div>
         </div>

         <main class="main-content">
            <div class="wrap -size-md">

               <div class="_align-center">
                  <div class="flat-card-animation-container ">
                     <div class="preview-image _transition">
                        <div class="card-container">
                           <img src="" alt="">
                            
                           <video  
                              alt="" 
                              style="width: 100%;" 
                              autoplay="true" 
                              webkit-playsinline="true"
                              playsinline="true"
                              muted="muted"
                           >
                              <source src="" type="video/mp4">
                            </video>

                        </div>
                     </div>
                  </div>
               </div>
  
               <script>    

                  var withWatermark = false;

                  var defaultImages = {
                    "Front": "<%= Front %>",
                    "Back": "<%= Default_Image %>",
                    "Left": "<%= Default_Image %>",
                    "Right": "<%= Default_Image %>"
                  };
                  
                  function runFlatCardAnimation(imgURL, cardSize) {

                        var $EnvelopeContainer = $(".flat-card-animation-container"),
                              $cardContainer = $(".card-container");

                        $EnvelopeContainer.addClass('flatCard_' + cardSize);
                        $('#magic').show();

                        var fileType = "image";
                          
                        if ('<%= ContentType %>' === 'video' || imgURL.lastIndexOf(".mp4") > -1 || imgURL.lastIndexOf(".mov") > -1 || imgURL.lastIndexOf(".mkv") > -1) {
                           fileType = "video";
                        }

                        if (fileType == "video") {
                           $("img", $cardContainer).attr('src', "/public/assets/images/theme/blank_<%= Orientation %>.png");
                           $("video", $cardContainer).attr('src', imgURL);

                           $("video", $cardContainer).on("click", function(e){                              
                              var isMuted = $("video", $cardContainer).prop('muted')
                              $("video", $cardContainer).prop('muted', !isMuted);
                           });
                        }
                        else {
                           $("img", $cardContainer).attr('src', imgURL);
                           $("video", $cardContainer).remove()
                        }
                         
                        var isReady = 0;

                        setTimeout(function () {
                              isReady++;
                              $EnvelopeContainer.trigger('play');
                        }, 3000);

                        $("img", $cardContainer).on('load', function () {
                              isReady++;
                              $EnvelopeContainer.trigger('play');
                        });

                        $EnvelopeContainer.on('play',
                              function () {

                                 if (isReady === 1)
                                    return;

                                 $EnvelopeContainer.addClass("show-preview");

                                 if (fileType === "video") { 
                                    $("img", $cardContainer).remove();
                                 }

                                 $('#magic').hide();
                                 $EnvelopeContainer.one("webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend",
                                    function () {
                                          $EnvelopeContainer.addClass("init-intro");
                                          //adding timeout due to IE issue DC-92
                                          setTimeout(function () {
                                             $EnvelopeContainer.one(
                                                "webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend",
                                                function () {
                                                      $(".flat-card-animation-container.init-intro").addClass("init-step1");
                                                      //adding timeout due to IE issue DC-92
                                                      setTimeout(function () {
                                                         $(".flat-card-animation-container.init-step1").one(
                                                            "webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend",
                                                            function () {
                                                                  $EnvelopeContainer.addClass("init-step2");
                                                                  setTimeout(function () {
                                                                     $EnvelopeContainer.addClass("mobile-step3");
                                                                     $("._3dhide").removeClass("_3dhide");
                                                                  }, 1200);
                                                            });
                                                      }, 600);
                                                });
                                          }, 600);
                                    });
                              });
               }

               function init3DFrame(images) {//call from editor, use playCard
                  playCard(images);
               }


               function playCard(images) {
                     var cardId = '33224';
                     let frontImage = sessionStorage.getItem(`PreviewFrontImage`) || (images && images.Front) || defaultImages.Front;
                     sessionStorage.removeItem(`PreviewFrontImage`);
                        if (withWatermark)
                        {
                           giUtils.addWatermark(frontImage)
                              .then(function (img) {
                                    runFlatCardAnimation(img, '<%= Orientation %>');
                              });
                        } else {
                           runFlatCardAnimation(frontImage, '<%= Orientation %>');
                        }

                        //on load scroll page to hide the header
                        $(window).scrollTop(100);
               }

                  
               </script>
            </div>
            <hr class="pickup-seprator _3dhide">
            <div class="_3dhide pickup-bottom">
               <div id="btn" class="preview-buttons _mg-b-sm  _pd-t-sm _align-center">

                  <% if(GreetDate){ %>
                  <p class="_mg-b-sm">
                     on
                     <strong><%= GreetDate %></strong>
                  </p>
                  <% } %>

                  <% if(Orientation === 'fold'){ %>
                     <div class="button -ternary -size-sm-md _mg-b-xs" onclick="download_card_as_pdf('IN', '<%= Orientation %>'); this.nextElementSibling.classList.remove('hidden');">Download Printable Version</div>
                     <p class=" _mg-b-sm xs-small hidden">
                        Download should start immediatly.<br />                     
                     </p>
                  <% } %>
                  
               </div>
              
            </div>
             
            <% if(Is_RSVP) { %>
               <%- include('pickup.ejs') %>
               <%- include('guest.ejs') %>
               <%- include('rsvp.ejs') %>
               <%- include('rsvp_fixed.ejs') %>
            <% } %>

         </main>

         <footer id="footer" class="x-site-footer">
            <div class="wrap">
               <div class="footer-left float-left">
                  <nav class="float-left footer-nav">
                     <ul>                        
                     </ul>
                  </nav>
                  <div style="display:inline-block;vertical-align:top">
                     <div class="footer-social float-left">                        
                     </div>
                     <div class="float-left footer-app">                     
                     </div>
                  </div>
               </div>
               <div class="footer-right float-right">
           
               </div>
            </div>
         </footer>
      </div>
      <script src="/public/assets/bundles/jquery.js"></script>
      <script src="/public/assets/bundles/jquery.validate.js"></script>
      <script src="/public/assets/bundles/libs.js"></script>
      <script src="/public/assets/bundles/gi.js"></script>
      <script src="/public/assets/bundles/3dcard.js"></script>
      <script src="/public/assets/Scripts/jspdf.min.js"></script>
      <script src="/public/assets/Scripts/gi.cardDownload.js"></script>
      <script src="https://cdn.jsdelivr.net/npm/js-cookie@3.0.1/dist/js.cookie.min.js"></script>

      <% if(Is_RSVP){ %>
         <script src="/public/assets/Scripts/select2.full.min.js"></script>
         <script src="/public/assets/bundles/online-invitations.js"></script>
      <% } %>
      

      <script>
         $(function () {
         
             var images = {
                "Front": "<%= Front %>"
            }
         
             playCard(images);
         
            //  slickInit();
          
         });
      </script>

      <% if(Is_RSVP) { %>
         <%- include('rsvp_handler.ejs') %>
      <% } %>

   </body>
</html>
